package com.picture.ar.drawing.list;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.picture.ar.drawing.databinding.ListChildBinding;
import com.picture.ar.drawing.listener.ClickListener;
import com.picture.ar.drawing.utils.ComUtils;

import java.util.List;

public class MainChildList extends RecyclerView.Adapter<MainChildList.ChildVH> {


    private Context mCon;
    private List<String> data;

    private ClickListener listener;


    public void setListener(ClickListener listener) {
        this.listener = listener;
    }

    public MainChildList(Context mCon, List<String> bitmapList ) {
        this.mCon = mCon;
        data = bitmapList;

    }


    @NonNull
    @Override
    public ChildVH onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {


        return new ChildVH( ListChildBinding.inflate(LayoutInflater.from(parent.getContext()), parent, false));
    }

    @Override
    public void onBindViewHolder(@NonNull ChildVH holder, int position) {

        String name = data.get(position);
      ComUtils.loadImageFromAssets(mCon, name, holder.binding.imPreview, bitmap -> {

      });
//        holder.binding.imPreview.setImageBitmap(bitmap);
        holder.binding.cardView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (listener != null) {
                    listener.onClickItem(1, name);
                }
            }
        });



    }

    @Override
    public int getItemCount() {
        return data.size();
    }

    public static class ChildVH extends RecyclerView.ViewHolder {


        private ListChildBinding binding;


        public ChildVH(@NonNull ListChildBinding itemView) {
            super(itemView.getRoot());
            binding = itemView;
        }


    }
}
